
import { View } from "@tarojs/components";

import IconVoiceColor from "@/components/icon/icon-voice-color";
import CardList from "@/components/list/card-list";
import CardListItem from "@/components/list/card-list-item";
import IconPeopleColor from "@/components/icon/icon-people-color";
import IconConversationColor from "@/components/icon/icon-conversation-color";
import IconIdeaColor from "@/components/icon/icon-idea-color";

import IconArrow from "@/components/icon/icon-arrow";

export default function Index() {

  const IconArrowRight = () => {
    return (
      <View className="flex items-center">
        <IconArrow />
      </View>
    );
  };

  return (
    <CardList>
          <CardListItem
            className="pl-16 pr-8"
            underline
            rightRenderer={IconArrowRight}
            leftRenderer={IconVoiceColor}
          >
            <View className="text-14 py-18 font-medium leading-22">声音</View>
          </CardListItem>
          <CardListItem
            className="pl-16 pr-8"
            underline
            rightRenderer={IconArrowRight}
            leftRenderer={IconPeopleColor}
          >
            <View className="text-14 py-18 font-medium leading-22">人设</View>
          </CardListItem>
          <CardListItem
            className="pl-16 pr-8"
            underline
            rightRenderer={IconArrowRight}
            leftRenderer={IconConversationColor}
          >
            <View className="text-14 py-18 font-medium leading-22">开场白</View>
          </CardListItem>
          <CardListItem
            className="pl-16 pr-8"
            rightRenderer={IconArrowRight}
            leftRenderer={IconIdeaColor}
          >
            <View className="text-14 py-18 font-medium leading-22">
              开场提问引导
            </View>
          </CardListItem>
        </CardList>
  );
}
