import { View } from '@tarojs/components'
import style from './index.module.less'
interface Props{
  type: string
}
export default ({type}:Props)=> {
  const renderIcon = () => {
    if(type === 'doc' || type === 'docx'){
      return (
        <View className={style.iconDoc}></View>
      )
    }
    if(type === 'xls' || type === 'xlsx'){
      return (
        <View className={style.iconXls}></View>
      )
    }
    if(type === 'pdf'){
      return (
        <View className={style.iconPdf}></View>
      )
    }
    if(type === 'txt'){
      return (
        <View className={style.iconTxt}></View>
      )
    }
    if(type === 'ppt'){
      return (
        <View className={style.iconPpt}></View>
      )
    }
  }
  return <>
    {renderIcon()}
  </>
}